# Ogre::MeshLodUsage Struct Reference

A way of recording the way each LODs is recorded this Mesh. More...

`#include <OgreMesh.h>`

List of all members.

## Public Attributes

Real | fromDepthSquared
| squared Z value from which this LOD will apply
String | manualName
| Only relevant if mIsLodManual is true, the name of the alternative mesh to use.
MeshPtr | manualMesh
| Hard link to mesh to avoid looking up each time.
EdgeData * | edgeData
| Edge list for this LOD level (may be derived from manual mesh).

## Detailed Description

A way of recording the way each LODs is recorded this Mesh.

Definition at line 638 of file OgreMesh.h.

## Member Data Documentation

EdgeData* Ogre::MeshLodUsage::edgeData `[mutable]`

| Edge list for this LOD level (may be derived from manual mesh). Definition at line 647 of file OgreMesh.h.

Real Ogre::MeshLodUsage::fromDepthSquared

| squared Z value from which this LOD will apply Definition at line 641 of file OgreMesh.h.

MeshPtr Ogre::MeshLodUsage::manualMesh `[mutable]`

| Hard link to mesh to avoid looking up each time. Definition at line 645 of file OgreMesh.h.

String Ogre::MeshLodUsage::manualName

| Only relevant if mIsLodManual is true, the name of the alternative mesh to use. Definition at line 643 of file OgreMesh.h.

The documentation for this struct was generated from the following file:

- OgreMesh.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:23 2005